Main Page Alphabetical List Data Structures File List Data Fields Globals

# meta.c File Reference

## Data Structures
struct | _wmfWriteFileInfo
## Typedefs
typedef enum _wmf_write_t | wmf_write_t
typedef _wmfWriteFileInfo | wmfWriteFileInfo
## Enumerations
enum | _wmf_write_t { wmf_W_WMF = 0, wmf_W_XML }
## Functions
U16 | wmf_read_16 (wmfAPI *API)
U32 | wmf_read_32 (wmfAPI *API, U16 *u16a, U16 *u16b)
U16 | wmf_aldus_checksum (wmfAPI *API)
wmf_error_t | wmf_header_read (wmfAPI *API)
void | wmf_write (wmfAPI *API, unsigned long Size, unsigned int Function, const char *name, char **atts, const unsigned char *buffer, unsigned long length)
void | wmf_write_begin (wmfAPI *API, const char *filename)
void | wmf_write_end (wmfAPI *API)
void | wmf_attr_new (wmfAPI *API, wmfAttributes *list)
void | wmf_attr_clear (wmfAPI *API, wmfAttributes *list)
void | wmf_attr_free (wmfAPI *API, wmfAttributes *list)
const char * | wmf_attr_add (wmfAPI *API, wmfAttributes *list, const char *name, const char *value)
const char * | wmf_attr_query (wmfAPI *API, wmfAttributes *list, const char *name)

## Typedef Documentation

typedef enum _wmf_write_t wmf_write_t

typedef struct _wmfWriteFileInfo wmfWriteFileInfo

## Enumeration Type Documentation

enum _wmf_write_t

  | Enumeration values:
  wmf_W_WMF |
  wmf_W_XML |

## Function Documentation

U16 wmf_aldus_checksum | ( | wmfAPI * | API | ) |

  | Compute the Aldus checksum of the metafile's header. Parameters:
  API | the API handle
(Must read the header first, either via wmf_scan() or by calling wmf_header_read() directly.) Returns: Returns the checksum.

const char* wmf_attr_add | ( | wmfAPI * | ,
|  | wmfAttributes * | ,
|  | const char * | ,
|  | const char * |
| ) |

| Add an name&value to a wmfAttributes structure; returns ptr to value-in-list

void wmf_attr_clear | ( | wmfAPI * | ,
|  | wmfAttributes * |
| ) |

| Clear/Empty a wmfAttributes structure

void wmf_attr_free | ( | wmfAPI * | ,
|  | wmfAttributes * |
| ) |

| Free memory associated with a wmfAttributes structure

void wmf_attr_new | ( | wmfAPI * | ,
|  | wmfAttributes * |
| ) |

| Initialize a wmfAttributes structure

const char* wmf_attr_query | ( | wmfAPI * | ,
|  | wmfAttributes * | ,
|  | const char * |
| ) |

| Return value of name in a wmfAttributes structure; returns 0 if name not found

wmf_error_t wmf_header_read | ( | wmfAPI * | API | ) |

  | Read the metafile's header. Parameters:
  API | the API handle
(Must read the header first, either via wmf_scan() or by calling wmf_header_read() directly.) Returns: Returns the library error state (wmf_E_None on success). Possible library error states of wmf_E_Glitch, wmf_E_BadFormat (bad header), wmf_E_BadFile (no open input stream) and wmf_E_EOF (premature end-of-file).

U16 wmf_read_16 | ( | wmfAPI * |  | ) |

| Reads a two-byte sequence from the current metafile, returns U16

U32 wmf_read_32 | ( | wmfAPI * | ,
|  | U16 * | ,
|  | U16 * |
| ) |

| Reads a four-byte sequence from the current metafile, returns U32

void wmf_write | ( | wmfAPI * | ,
|  | unsigned | long,
|  | unsigned | int,
|  | const char * | ,
|  | char ** | ,
|  | const unsigned char * | ,
|  | unsigned | long
| ) |

| Writes to --wmf-write file (which may be WMF or home-made wmfxml)

void wmf_write_begin | ( | wmfAPI * | ,
|  | const char * |
| ) |

| Open --wmf-write file (which may be WMF or home-made wmfxml)

void wmf_write_end | ( | wmfAPI * |  | ) |

| Close --wmf-write file (which may be WMF or home-made wmfxml)